import { cn as e } from "../../../lib/utils.js";
import { t } from "../../../web-DF40pCMx.js";
import { SHIKI_THEMES as n } from "../../../lib/shiki-themes.js";
import { jsx as r } from "react/jsx-runtime";
//#region lib/components/ui/atoms/code-block.tsx
function i({ children: t, className: n, ...i }) {
	return /* @__PURE__ */ r("div", {
		className: e("not-prose flex w-full flex-col overflow-clip border", "rounded-xl border-border bg-card text-card-foreground", n),
		"data-slot": "code-block",
		...i,
		children: t
	});
}
function a({ code: i, language: a = "tsx", className: o, ...s }) {
	return /* @__PURE__ */ r("div", {
		className: e("w-full overflow-x-auto text-[13px] [&_.shiki]:px-4 [&_.shiki]:py-4", o),
		"data-slot": "code-block-code",
		...s,
		children: i ? /* @__PURE__ */ r(t, {
			addDefaultStyles: !1,
			defaultColor: !1,
			language: a,
			showLanguage: !1,
			theme: n,
			children: i
		}) : /* @__PURE__ */ r("pre", { children: /* @__PURE__ */ r("code", {}) })
	});
}
function o({ children: t, className: n, ...i }) {
	return /* @__PURE__ */ r("div", {
		className: e("flex items-center justify-between", n),
		"data-slot": "code-block-group",
		...i,
		children: t
	});
}
//#endregion
export { i as CodeBlock, a as CodeBlockCode, o as CodeBlockGroup };
